Bug 509044 - [zh] Chinese text replaced by blank characters in PDF
[zh] Chinese text replaced by blank characters in PDF
Status: CLOSED DUPLICATE of bug 557336
Product: Fedora
Classification: Fedora
Component: fop (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 20:53 EDT by Ruediger Landmann
Modified: 2010-05-20 02:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-20 02:31:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample PDF in zh-CN (123.13 KB, application/pdf)
2009-06-30 20:54 EDT, Ruediger Landmann
no flags Details

  None (edit)
Description Ruediger Landmann 2009-06-30 20:53:35 EDT
Description of problem:
When you build a PDF in zh-CN, the body text appears as blank characters. Chinese characters appear in the headings.

Version-Release number of selected component (if applicable):
Publican 0,44

How reproducible:
100%

Steps to Reproduce:
1. Make any PDF in zh-CN
 
Actual results:
PDF is built correctly, but the body text appears blank.

Expected results:
Body text should contain Chinese characters.

Additional info:
Comment 1 Ruediger Landmann 2009-06-30 20:54:58 EDT
Created attachment 350038 [details]
Sample PDF in zh-CN
Comment 2 Jeff Fearn 2009-07-27 23:20:26 EDT
This is because the font changed to a TTC (True Type Collection) and the FOP shipped in fedora can not automatically load TTCs.

The trunk version of FOP can auto load TTCs as detailed at http://xmlgraphics.apache.org/fop/trunk/fonts.html
Comment 3 Ding-Yi Chen 2010-03-08 19:56:43 EST
I've download the pdf, and find out the pdf is not even built correctly.

If the only problem is font, you can still copy-paste the content to gedit
and see the proper text, however, what I got when pasting the Preface 1. (from demo.pdf) is:

1. \uffff\uffff\uffff\uffff
\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff
                                  1
\uffff PDF \uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff Liberation \uffff\uffff \uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff Liberation \uffff\uffff\uffff
\uffff\uffff\uffff\uffff\uffff\uffff\uffff HTML \uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff Linux 5 \uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff\uffff
Liberation \uffff\uffff\uffff\uffff\uffff

Interesting though, if open this document with acroread, the bookmarks appears correctly, but not context.
Comment 4 Jens Petersen 2010-03-09 19:41:28 EST
Presumably same for Traditional Chinese.
Comment 5 Caius Chance 2010-03-09 20:02:27 EST
Are there any more detailed procedures to reproduce please?
Comment 6 Ruediger Landmann 2010-03-09 20:18:45 EST
Publican now avoids this issue -- see BZ#557336

To expose this bug, try building a Chinese PDF on Fedora with a version of Publican prior to 1.4
Comment 7 fujiwara 2010-04-09 05:11:12 EDT
(In reply to comment #3)
> I've download the pdf, and find out the pdf is not even built correctly.
> 
> If the only problem is font, you can still copy-paste the content to gedit
> and see the proper text, however, what I got when pasting the Preface 1. (from
> demo.pdf) is:
> 
> 1. \uffff\uffff\uffff\uffff

I tried to extract the text from pdf and it seems the encoding is broken.

$ od -xc dump.txt 
0000000    7250    6665    6361    0a65    2e31    ef20    bfbf    bfef
          P   r   e   f   a   c   e  \n   1   .     357 277 277 357 277
0000020    efbf    bfbf    bfef    0abf    bfef    efbf    bfbf    bfef
        277 357 277 277 357 277 277  \n 357 277 277 357 277 277 357 277
0000040    efbf    bfbf    bfef    efbf    bfbf    bfef    efbf    bfbf
        277 357 277 277 357 277 277 357 277 277 357 277 277 357 277 277

They are 0x ef bf bf ef bf bf ef bf bf ...

Probably this is duplicated of bug 557336 ?

I think you can output the correct pdf with gedit or openoffice.
Comment 8 Bug Zapper 2010-04-27 11:23:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jens Petersen 2010-05-20 02:31:19 EDT

*** This bug has been marked as a duplicate of bug 557336 ***

Note You need to log in before you can comment on or make changes to this bug.